Mail archive
alpine-aports

[alpine-aports] [PATCH 1/1] main/libxfont: upgrade to 1.5.2

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Thu, 1 Sep 2016 23:12:07 -0400

Removed libxfont-doc which only contained the COPYING file
---
 main/libxfont/APKBUILD | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)
diff --git a/main/libxfont/APKBUILD b/main/libxfont/APKBUILD
index ad44736..f64a457 100644
--- a/main/libxfont/APKBUILD
+++ b/main/libxfont/APKBUILD
_at_@ -1,30 +1,21 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libxfont
-pkgver=1.5.1
+pkgver=1.5.2
 pkgrel=0
 pkgdesc="X11 font rasterisation library"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
-depends=
-install=
+subpackages="$pkgname-dev"
+depends=""
 depends_dev="xproto fontsproto libfontenc-dev freetype-dev"
 makedepends="$depends_dev xtrans zlib-dev"
 source="http://xorg.freedesktop.org/archive/individual/lib/libXfont-$pkgver.tar.bz2"
 
-_builddir="$srcdir"/libXfont-$pkgver
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/libXfont-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -35,10 +26,9 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
-md5sums="96f76ba94b4c909230bac1e2dcd551c4  libXfont-1.5.1.tar.bz2"
-sha256sums="b70898527c73f9758f551bbab612af611b8a0962202829568d94f3edf4d86098  libXfont-1.5.1.tar.bz2"
-sha512sums="3ca8f7c1c642072c9bf9a755b45857f77753111ce6f1f99bd804e0f1b90cf61259fbde609a5342cce9c1ac5431b093bf75febb68baff2f2688e0a5fe5864a666  libXfont-1.5.1.tar.bz2"
+md5sums="254ee42bd178d18ebc7a73aacfde7f79  libXfont-1.5.2.tar.bz2"
+sha256sums="02945ea68da447102f3e6c2b896c1d2061fd115de99404facc2aca3ad7010d71  libXfont-1.5.2.tar.bz2"
+sha512sums="6f2005eb07afe6ea39b0be035cebdf3492b60758b7b9bed9e226280e370c15883ce6e2f72d1faa006968a0d9b3b649d3b80fcdaa3f7e01a71abcae88d99c7a41  libXfont-1.5.2.tar.bz2"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 01 2016 - 23:12:07 GMT